<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'tet',

    /*
     * Package.
     */
    'package'   => 'test',

    /*
     * Modules.
     */
    'modules'   => ['news'],


    'news'       => [
        'model'             => 'Tet\Test\Models\News',
        'table'             => 'news',
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'Title',  'Body'],
        'translatable'      => ['id',  'Title',  'Body'],

        'upload-folder'     => '/uploads/test/news',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
